Subject: Re: bug#14150: Customize within two Emacs sessions deletes saved customizations

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 19:31:09 +0100

Barry OReilly <[email-masked]> writes:

> In B, customize any customizable variable.  Click "Apply and Save".  Verify init file
> reflects the save.
>
> In A, customize a different customizable variable.  Click "Apply and Save".  Verify
> init file reflects the save.  The first customization made from within B is gone,
> contrary to expectation.

(This bug report unfortunately got no response at the time.)

That does seem like surprising behaviour; I agree.  I can also see
somebody going "I really want to save the current customisation state in
this particular Emacs, no matter what I've done elsewhere", which is
what the described behaviour is.

Does anybody have an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no